Texa Desk Application API · Contacts
Show Contact
GET/
Get a contact belonging to the account using ID
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
idnumberrequiredID of the contact
Responses
200Success
payloadobjectpayload.additional_attributesobjectThe object containing additional attributes related to the contact
payload.additional_attributes.citystringCity of the contact
payload.additional_attributes.countrystringCountry of the contact
payload.additional_attributes.country_codestringCountry code of the contact
payload.additional_attributes.created_at_ipstringIP address when the contact was created
payload.availability_statusstringAvailability status of the contact One of: online, offline.
payload.emailstringThe email address of the contact
payload.idintegerThe ID of the contact
payload.namestringThe name of the contact
payload.phone_numberstringThe phone number of the contact
payload.blockedbooleanWhether the contact is blocked
payload.identifierstringThe identifier of the contact
payload.thumbnailstringThe thumbnail of the contact
payload.custom_attributesobjectThe custom attributes of the contact
payload.last_activity_atintegerTimestamp of last activity
payload.created_atintegerTimestamp when contact was created
payload.contact_inboxesarray of objectList of inboxes associated with this contact
payload.contact_inboxes[].source_idstringSource identifier for the contact inbox
payload.contact_inboxes[].inboxobject404Contact not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring403Access denied
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring